Results 1 to 4 of 4
  1. #1
    Addymails is offline Member
    Join Date
    Jan 2012
    Posts
    14
    Rep Power
    0

    Default org.xml.sax.SAXParseException

    Hi, while running a small project i am getting an exception as
    "in XML document from class path resource [META-INF/user.xml] is invalid; nested exception is org.xml.sax.SAXParseException; lineNumber: 6; columnNumber: 69; cvc-elt.1: Cannot find the declaration of element 'beans'."

    when i googled it i found a solution stating - You have version 1.x of spring in the classpath. Try version 2.x

    I am very new to this whole concept, can anyone please tell me how to try version 2.x ?

    Thanks :)

  2. #2
    Tolls is offline Moderator
    Join Date
    Apr 2009
    Posts
    11,755
    Rep Power
    19

    Default Re: org.xml.sax.SAXParseException

    If you are new to Java then why on earth are you using Spring?

    Anyway, you need to replace your 1.x spring jar file with a 2.x version.

  3. #3
    Addymails is offline Member
    Join Date
    Jan 2012
    Posts
    14
    Rep Power
    0

    Default Re: org.xml.sax.SAXParseException

    I am sorry, what do u mean ? do u mean if a person is new to some subject he should never work on it ?

    Thanks for ur help

  4. #4
    Tolls is offline Moderator
    Join Date
    Apr 2009
    Posts
    11,755
    Rep Power
    19

    Default Re: org.xml.sax.SAXParseException

    Put it this way, Spring is a rather advanced framework.
    If you don't understand how Java and Java projects are structured then learning Java via Spring is a bit like learning to drive sitting in a Formula One racing car.

Similar Threads

  1. Replies: 1
    Last Post: 10-12-2011, 11:22 AM
  2. Replies: 0
    Last Post: 08-21-2011, 07:30 AM
  3. Replies: 3
    Last Post: 02-16-2010, 05:09 PM
  4. Replies: 1
    Last Post: 07-24-2007, 12:07 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •